Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/include/Parameters.h	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/include/Parameters.h	(revision 146)
@@ -11,4 +11,5 @@
 #include "Common/include/Debug.h"
 #include "Behavioural/include/Parameters.h"
+#include "Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/include/Types.h"
 
 namespace morpheo {
@@ -29,4 +30,8 @@
   public : uint32_t  * _size_store_queue                ; //[nb_load_store_queue]
   public : uint32_t  * _size_load_queue                 ; //[nb_load_store_queue]
+  public : Tpredictor_t   * _speculative_commit_predictor_scheme;//[nb_load_store_queue]
+  public : uint32_t      ** _lsu_pht_size_counter               ;//[nb_load_store_queue][1]
+  public : uint32_t      ** _lsu_pht_nb_counter                 ;//[nb_load_store_queue][1]
+  public : Tpht_scheme_t ** _lsu_pht_scheme                     ;//[nb_load_store_queue][1]
   public : uint32_t  * _nb_inst_memory                  ; //[nb_load_store_queue]
   public : uint32_t ** _link_load_store_unit_with_thread; //[nb_front_end][nb_context]
@@ -54,4 +59,8 @@
 			uint32_t  * size_store_queue                ,
 			uint32_t  * size_load_queue                 ,
+			Tpredictor_t   * speculative_commit_predictor_scheme,//[nb_load_store_queue]
+			uint32_t      ** lsu_pht_size_counter               ,//[nb_load_store_queue][1]
+			uint32_t      ** lsu_pht_nb_counter                 ,//[nb_load_store_queue][1]
+			Tpht_scheme_t ** lsu_pht_scheme                     ,//[nb_load_store_queue][1]
 			uint32_t  * nb_inst_memory                  ,
 			uint32_t ** link_load_store_unit_with_thread,
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/src/Parameters.cpp	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/src/Parameters.cpp	(revision 146)
@@ -27,4 +27,8 @@
 			  uint32_t  * size_store_queue                ,
 			  uint32_t  * size_load_queue                 ,
+			  Tpredictor_t   * speculative_commit_predictor_scheme,//[nb_load_store_queue]
+			  uint32_t      ** lsu_pht_size_counter               ,//[nb_load_store_queue][1]
+			  uint32_t      ** lsu_pht_nb_counter                 ,//[nb_load_store_queue][1]
+			  Tpht_scheme_t ** lsu_pht_scheme                     ,//[nb_load_store_queue][1]
                           uint32_t  * nb_inst_memory                  ,
 			  uint32_t ** link_load_store_unit_with_thread,
@@ -41,4 +45,8 @@
     _size_store_queue                 = size_store_queue                ;
     _size_load_queue                  = size_load_queue                 ;
+    _speculative_commit_predictor_scheme = speculative_commit_predictor_scheme;
+    _lsu_pht_size_counter                = lsu_pht_size_counter               ;
+    _lsu_pht_nb_counter                  = lsu_pht_nb_counter                 ;
+    _lsu_pht_scheme                      = lsu_pht_scheme                     ;
     _nb_inst_memory                   = nb_inst_memory                  ;
     _link_load_store_unit_with_thread = link_load_store_unit_with_thread;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_translation_unit_Glue/include/Register_translation_unit_Glue.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_translation_unit_Glue/include/Register_translation_unit_Glue.h	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_translation_unit_Glue/include/Register_translation_unit_Glue.h	(revision 146)
@@ -184,5 +184,5 @@
   private : void        deallocation              (void);
 					       
-#ifdef SYSTEMC				       
+#ifdef SYSTEMC
 # if defined(STATISTICS) or defined(VHDL_TESTBENCH)
   public  : void        transition                (void);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_translation_unit_Glue/src/Register_translation_unit_Glue.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_translation_unit_Glue/src/Register_translation_unit_Glue.cpp	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_translation_unit_Glue/src/Register_translation_unit_Glue.cpp	(revision 146)
@@ -72,7 +72,8 @@
 #endif
 
-#ifdef SYSTEMC
+#ifdef SYSTEMC 
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
+# if defined(STATISTICS) or defined(VHDL_TESTBENCH)
 	log_printf(INFO,Register_translation_unit_Glue,FUNCTION,"Method - transition");
 
@@ -81,8 +82,8 @@
 	sensitive << (*(in_CLOCK)).pos();
 	
-# ifdef SYSTEMCASS_SPECIFIC
-	// List dependency information
-# endif    
-
+#  ifdef SYSTEMCASS_SPECIFIC
+	// List dependency information
+#  endif    
+# endif
 	log_printf(INFO,Register_translation_unit_Glue,FUNCTION,"Method - genMealy_retire");
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_translation_unit_Glue/src/Register_translation_unit_Glue_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_translation_unit_Glue/src/Register_translation_unit_Glue_transition.cpp	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_translation_unit_Glue/src/Register_translation_unit_Glue_transition.cpp	(revision 146)
@@ -51,7 +51,5 @@
 #endif
 
-#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
     end_cycle ();
-#endif
 
     log_printf(FUNC,Register_translation_unit_Glue,FUNCTION,"End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/include/Parameters.h	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/include/Parameters.h	(revision 146)
@@ -36,4 +36,8 @@
   public : uint32_t           * _size_store_queue                 ;//[nb_load_store_queue]
   public : uint32_t           * _size_load_queue                  ;//[nb_load_store_queue]
+  public : Tpredictor_t       * _speculative_commit_predictor_scheme;//[nb_load_store_queue]
+  public : uint32_t          ** _lsu_pht_size_counter               ;//[nb_load_store_queue][1]
+  public : uint32_t          ** _lsu_pht_nb_counter                 ;//[nb_load_store_queue][1]
+  public : Tpht_scheme_t     ** _lsu_pht_scheme                     ;//[nb_load_store_queue][1]
   public : uint32_t           * _nb_inst_memory                   ;//[nb_load_store_queue]
   public : uint32_t          ** _link_load_store_unit_with_thread ;//[nb_front_end][nb_context]
@@ -78,4 +82,8 @@
 			uint32_t           * size_store_queue                 ,
 			uint32_t           * size_load_queue                  ,
+			Tpredictor_t       * speculative_commit_predictor_scheme,//[nb_load_store_queue]
+			uint32_t          ** lsu_pht_size_counter               ,//[nb_load_store_queue][1]
+			uint32_t          ** lsu_pht_nb_counter                 ,//[nb_load_store_queue][1]
+			Tpht_scheme_t     ** lsu_pht_scheme                     ,//[nb_load_store_queue][1]
 			uint32_t           * nb_inst_memory                   ,
 			uint32_t          ** link_load_store_unit_with_thread ,
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/src/Parameters.cpp	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/src/Parameters.cpp	(revision 146)
@@ -27,4 +27,8 @@
 			  uint32_t           * size_store_queue                 ,
 			  uint32_t           * size_load_queue                  ,
+			  Tpredictor_t       * speculative_commit_predictor_scheme,//[nb_load_store_queue]
+			  uint32_t          ** lsu_pht_size_counter               ,//[nb_load_store_queue][1]
+			  uint32_t          ** lsu_pht_nb_counter                 ,//[nb_load_store_queue][1]
+			  Tpht_scheme_t     ** lsu_pht_scheme                     ,//[nb_load_store_queue][1]
 			  uint32_t           * nb_inst_memory                   ,
 			  uint32_t          ** link_load_store_unit_with_thread ,
@@ -53,4 +57,8 @@
     _size_store_queue                  = size_store_queue                 ;
     _size_load_queue                   = size_load_queue                  ;
+    _speculative_commit_predictor_scheme = speculative_commit_predictor_scheme;
+    _lsu_pht_size_counter                = lsu_pht_size_counter               ;
+    _lsu_pht_nb_counter                  = lsu_pht_nb_counter                 ;
+    _lsu_pht_scheme                      = lsu_pht_scheme                     ;
     _nb_inst_memory                    = nb_inst_memory                   ;
     _link_load_store_unit_with_thread  = link_load_store_unit_with_thread ;
@@ -109,4 +117,8 @@
        _size_store_queue                ,
        _size_load_queue                 ,
+       _speculative_commit_predictor_scheme,
+       _lsu_pht_size_counter               ,
+       _lsu_pht_nb_counter                 ,
+       _lsu_pht_scheme                     ,
        _nb_inst_memory                  ,
        _link_load_store_unit_with_thread,
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/include/Parameters.h	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/include/Parameters.h	(revision 146)
@@ -81,4 +81,8 @@
   public : uint32_t           ** _size_store_queue                 ;//[nb_rename_unit][nb_load_store_queue]
   public : uint32_t           ** _size_load_queue                  ;//[nb_rename_unit][nb_load_store_queue]
+  public : Tpredictor_t       ** _speculative_commit_predictor_scheme;//[nb_rename_unit][nb_load_store_queue]
+  public : uint32_t          *** _lsu_pht_size_counter               ;//[nb_rename_unit][nb_load_store_queue][1]
+  public : uint32_t          *** _lsu_pht_nb_counter                 ;//[nb_rename_unit][nb_load_store_queue][1]
+  public : Tpht_scheme_t     *** _lsu_pht_scheme                     ;//[nb_rename_unit][nb_load_store_queue][1]
   public : uint32_t           ** _nb_inst_memory                   ;//[nb_rename_unit][nb_load_store_queue]
   public : uint32_t           ** _link_load_store_unit_with_thread ;//[nb_front_end][nb_context]
@@ -180,4 +184,8 @@
                         uint32_t           ** size_store_queue                 ,//[nb_rename_unit][nb_load_store_queue]
                         uint32_t           ** size_load_queue                  ,//[nb_rename_unit][nb_load_store_queue]
+			Tpredictor_t       ** speculative_commit_predictor_scheme,//[nb_rename_unit][nb_load_store_queue]
+			uint32_t          *** lsu_pht_size_counter               ,//[nb_rename_unit][nb_load_store_queue][1]
+			uint32_t          *** lsu_pht_nb_counter                 ,//[nb_rename_unit][nb_load_store_queue][1]
+			Tpht_scheme_t     *** lsu_pht_scheme                     ,//[nb_rename_unit][nb_load_store_queue][1]
                         uint32_t           ** nb_inst_memory                   ,//[nb_rename_unit][nb_load_store_queue]
                         uint32_t           ** link_load_store_unit_with_thread ,//[nb_front_end][nb_context]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/src/Parameters.cpp	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/src/Parameters.cpp	(revision 146)
@@ -69,4 +69,8 @@
                           uint32_t           ** size_store_queue                 ,//[nb_rename_unit][nb_load_store_queue]
                           uint32_t           ** size_load_queue                  ,//[nb_rename_unit][nb_load_store_queue]
+			  Tpredictor_t       ** speculative_commit_predictor_scheme,//[nb_rename_unit][nb_load_store_queue]
+			  uint32_t          *** lsu_pht_size_counter               ,//[nb_rename_unit][nb_load_store_queue][1]
+			  uint32_t          *** lsu_pht_nb_counter                 ,//[nb_rename_unit][nb_load_store_queue][1]
+			  Tpht_scheme_t     *** lsu_pht_scheme                     ,//[nb_rename_unit][nb_load_store_queue][1]
                           uint32_t           ** nb_inst_memory                   ,//[nb_rename_unit][nb_load_store_queue]
                           uint32_t           ** link_load_store_unit_with_thread ,//[nb_front_end][nb_context]
@@ -125,4 +129,8 @@
     _size_store_queue                    = size_store_queue                 ;
     _size_load_queue                     = size_load_queue                  ;
+    _speculative_commit_predictor_scheme = speculative_commit_predictor_scheme;
+    _lsu_pht_size_counter                = lsu_pht_size_counter               ;
+    _lsu_pht_nb_counter                  = lsu_pht_nb_counter                 ;
+    _lsu_pht_scheme                      = lsu_pht_scheme                     ;
     _nb_inst_memory                      = nb_inst_memory                   ;
     _link_load_store_unit_with_thread    = link_load_store_unit_with_thread ;
@@ -242,4 +250,8 @@
        _size_store_queue                              [i],
        _size_load_queue                               [i],
+       _speculative_commit_predictor_scheme           [i],
+       _lsu_pht_size_counter                          [i],
+       _lsu_pht_nb_counter                            [i],
+       _lsu_pht_scheme                                [i],
        _nb_inst_memory                                [i],
        _rename_unit_link_load_store_unit_with_thread  [i],
